@import './variables';
@import './global';
@import '~bootstrap/scss/functions', '~bootstrap/scss/variables', '~bootstrap/scss/mixins', //'~bootstrap/scss/print',
//'~bootstrap/scss/reboot',
'~bootstrap/scss/type';
@import '~@angular/material/prebuilt-themes/indigo-pink.css';

div:focus,
input:focus,
select:focus,
textarea:focus,
button:focus {
    outline: none;
}

input:hover,
select:hover,
textarea:hover,
button:hover {
    outline: none;
}

.biggerModal > .modal-dialog {
  max-width: 640px !important;
}

.modal-content{
  border: 0;
  border-radius: 2px;
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
}

.btn {
  border-radius: 20px;
  height: 39px;
  font-family: $font-header;
  font-size: 0.9rem;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  text-align: center;
  color: $font-header-color;
  transition: all 0.5s ease;
}

.btn:disabled {
  color: #fff;
  background-color: #c4ccd4;
  border-color: #c4ccd4;

  &:hover {
    box-shadow: none;
  }
}

.btn-wide {
  min-width: 12rem;
}

.btn-primary {
  background-color: $aqua-marine;
  color: $font-header-color;
  border-color: transparent;

  &:hover {
    background-color: #08a898;
    color: #FFF;
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
  }
  &:focus {
    box-shadow: 0 0 0 0;
    border: 0 solid;
  }
}

.btn-secondary {
  color: $font-header-color;
  background-color: #ffffff;
  border: solid 1px #222222;

  &:hover{
    color: $font-header-color;
    background-color: #ffffff;
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
  }
}

.btn-light {
  border-radius: 28.5px;
  background-color: #f3f3f3;
  border-color: transparent;
  &:hover{
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
  }
}

.btn-outline-secondary:hover{
  color: #FFF;
}

.card{
  border-radius: 1px;
  border: 0 solid;
  background-color: #ffffff;
  box-shadow:  0 8px 16px 0 rgba(0, 0, 0, 0.2);
  margin-bottom: 40px;
}

.card-body{
  padding: 40px;
}

.warning-card{
  background-color: $blush;
  border: solid 1px #f0675c;
}

.yellow-card{
  & .yellow-info{
    background-color: #ffd944;
    margin-bottom: 0;
    padding: 0 18px 0 18px;
    width: fit-content;
  }
  & :first-child{
    padding-top: 10px;
  }
  & :last-child{
    padding-bottom: 10px;
  }
  & :only-child{
    padding-top: 10px;
    padding-bottom: 10px;
  }
}

input {
  height: 39px;
  border-radius: 4px;
  background-color: #ffffff;
  border: solid 1px #d1d1d1;
  font-family: $font-header;
  font-size: 1rem;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: $font-content-color;
  &:focus{
    border: solid 1px #00c8ff;
  }
}

.ng-valid[required], .ng-valid.required  {
  border: solid 1px #04ca96;
}

input.ng-dirty.ng-invalid {
  border: solid 1px $blush;
  color: $blush;
}

h1 {
  font-family: $font-header;
  font-size: 2.7rem;
  font-weight: 600;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: $font-header-color;
}

h2 {
  font-family: $font-header;
  font-size: 1.9rem;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: $font-content-color;
}

h3 {
  font-family: $font-header;
  font-size: 20px;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  text-align: center;
  color: $font-content-color;
}

h4 {
  font-family: $font-header;
  font-size: 1rem;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: $font-header-color;
}

.LOGO-Rubrik {
  font-family: $font-header;
  font-size: 1.5rem;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: $font-header-color;
}

.Sub-Large{
  font-family: $font-slogan;
  font-size: 3rem;
  font-weight: bold;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: $font-sub-color;
}

.Sub{
  font-family: $font-slogan;
  font-size: 1.5rem;
  font-weight: bold;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: $font-content-color;
}

.H1-Large {
  font-family: $font-header;
  font-size: 4rem;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: $font-header-color;
}

.H1-Mobile{
  font-family: $font-header;
  font-size: 1.8rem;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: $font-header-color;
}

.H2-Mobile {
  font-family: $font-header;
  font-size: 1.3rem;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: $font-content-color;
}

.H2-Mobile-2 {
  font-family: $font-header;
  font-size: 1.3rem;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: $font-content-color;
}

.H3-centeret {
  font-family: $font-header;
  font-size: 1.3rem;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  text-align: center;
  color: $font-sub-color;
}

.H3-Left {
  font-family: $font-header;
  font-size: 1.3rem;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  text-align: left;
  color: $font-sub-color;
}

.Body-Ledger {
  font-family: $font-content;
  font-size: 1rem;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: $font-sub-color;
}

.Link {
  font-family: $font-header;
  font-size: 1rem;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: $font-header-color;
}

.Input-field {
  font-family: $font-header;
  font-size: 1rem;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: $font-content-color;
}

.H-Tag {
  font-family: $font-header;
  font-size: 1rem;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: $font-header-color;
}


.Rubrik-Kategori-Card {
  font-family: $font-content;
  font-size: 0.9rem;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  text-align: center;
  color: $font-sub-color;
}

.Time {
  font-family: $font-header;
  font-size: 0.9rem;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #9b9b9b;
}

.Body-Grafik {
  font-family: $font-header;
  font-size: 0.8rem;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: 0.4px;
  color: $font-sub-color;
}

.custom-checkbox .custom-control-label {
  padding-left: 20px;
  cursor: pointer;
}

.custom-checkbox .custom-control-label::before {
  background-color: #ffffff;
  border: solid 1px #4cceac;
  border-radius: 0px;
  width: 18px;
  height: 18px;
}

.custom-checkbox .custom-control-input:checked ~ .custom-control-label::before {
  background-color: $aqua-marine
}

.custom-control-label {
  text-transform: uppercase;
}

.custom-control-label::after {
  position: absolute;
  top: 0.3rem;
  left: -1.45rem;
  display: block;
  width: 1rem;
  height: 1rem;
  content: "";
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 50% 50%;
}

//NEW SWITCH TOGGLE
/* Switch, box & Toggle */
.switch {
  vertical-align: -webkit-baseline-middle;
  position: relative;
  display: inline-block;
  width: 60px;
  height: 30px;
}

.switch input {
  display:none;
}

.swich-titel{
  margin-top: 10px;
}

/* Slider */
.slider {
  border: 2px solid #979797;
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  height: 32px;
  background-color: #FFF;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  top: 1px;
  left: 1px;
  content: "";
  height: 26px;
  width: 26px;
  transition: .4s;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:after{
  background-color: $blush;
}

input:checked + .slider:before {
  -webkit-transform: translateX(28px);
  -ms-transform: translateX(28px);
  transform: translateX(28px);
  background-color: $aqua-marine;
}

/* Rounded slider */
.slider.round {
  border-radius: 20px;
}

.slider.round:before {
  border-radius: 20px;
  background-color: #f78479;
}

#nej{
  font-family: $font-header;
  position: absolute;
  right: -40px;
  bottom: 0px;
}

#ja{
  font-family: $font-header;
  position: absolute;
  right: -40px;
  bottom: 0px;
}

.custom-radio .custom-control-label {
  padding-left: 20px;
  margin-right: 0px;
}

.custom-radio .custom-control-input ~ .custom-control-label::after {
  background-color: #FFF;
  border: 2px solid black;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  left: -25px;
  top: -5px;
}

.custom-radio .custom-control-input:checked ~ .custom-control-label::before {
  background-color: #3fd8c9;
  z-index: 1;
  width: 22px;
  height: 22px;
  top: -1px;
  left: -21px;
}

//MENY STYLING 

.LOGO {
  position: absolute;
  top: 34px;
  left: 34px;
  z-index: 300;
  font-size: 1.5rem;
  font-weight: 600;
  cursor: pointer;
}

.LOGO:focus {
  box-shadow: none;
}
 
.navbar-comp{
  margin: 0;
}

.nav-link{
  cursor: pointer;
}

.navbar-container {
  font-family: $font-header;
  margin-top: 60px;
  font-size: 16px;
  font-weight: 600;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  text-align: left;
  color: #191919;
  margin-bottom: 10px;
}

.brand-logo{
  width: 124px;
}

.menu-item {
  padding-left: 20px;
  margin-right: 20px;
  cursor: pointer;
}

.menu-item > span:hover, .navlink > span:hover{
    border-bottom: 4px solid #04ca96;
}

.fa-js-square {
  font-size: 30px;
  color: #04ca96;
}

.brand {
  font-size: 24px;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  text-align: left;
  color: #191919;
  padding-top: 15px;
}

.kategori-drop {
  border-left: 1px solid #d1d1d1;
  &:hover {
    cursor: pointer;
  }
}

.fa-search{
  margin-right: 14px;
}

.service-btn {
  width: 186px;
  margin-right: 20px;
  border-radius: 0;
  margin-left: 70px;
}

.login-link{
  cursor: pointer;
}

.navbar-toggler-right {
  position: absolute;
  top: 0;
  right: 0;
}

// FOOTER STYLING 
ul li {
  list-style: none;
  cursor: pointer;

  a{
    color: #222222;
    border-bottom: 1px solid #000;
  }
}

.footer {
  background-color: #3fd8c9;
  color: black;
  font-size: 1.5rem;
  padding-top: 4rem;
}

.footer-col {
  padding-bottom: 2rem;
}

.footer-title {
  width: 294px;
  height: 36px;
  font-family:$font-header;
  font-size: 30px;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  text-align: left;
  color: #4d4d4d;
}

.footer-button {
  width: 239px;
  height: 40px;
  border-radius: 20px;
  background-color: #ffffff;
  color: black;
  font-weight: bold;
  transition: all 0.3s ease;
  margin-top: 10px;
  padding: 10px;

  &:hover {
    background-color: #9d9d9d;
    color: #FFF;
  }
}

.footer-text {
  font-family: Rubik;
  font-size: 16px;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  text-align: left;
  color: #222222;
}

.footer-copyright {
  padding-top: 2rem;
  font-size: 2rem;
  font-weight: bold;
  min-height: 150px;
  text-align: center;
  background-color: #25bfb0;//#F3F3F3
  color: white;
}

.footer-link {
  color: white;
  cursor: pointer;
}

.version-data{
  font-size: x-small;
  text-align: right;
  padding: 1%;
  overflow: hidden;
}

@media (min-width: 992px) {
.navbar-expand-lg .navbar-collapse {
    justify-content: center;
  }
}

// Extra small devices (portrait phones, less than 576px)
@media (max-width: 575.98px) { }

// Small devices (landscape phones, less than 768px)
@media (max-width: 768px) {
  .service-btn{
    margin-left: 0;
  }

  .footer-title {
    width: 200px;
    height: 66px;
  }
 }

// Medium devices (tablets, less than 992px)
@media (max-width: 991.98px) { }

// Large devices (desktops, less than 1200px)
@media (max-width: 1199.98px) { }

// Extra large devices (large desktops)
// No media query since the extra-large breakpoint has no upper bound on its width
